export const COMP_CODE = {
  index_ctl: 'index_ctl',
  index_swip: 'index_swip',
  my: 'my',
};
export const ICON_CFG = {
  file_icon: '/profile/upload/2024/08/17/file_icon_20240817121536A002.svg',
  login_bg: '/profile/upload/2024/08/17/head-bg_20240817230007A002.png',
  theme_icon: '/profile/upload/2024/10/12/theme_icon_20241012185848A002.svg',
  theme_bg: '/profile/upload/2024/10/12/index_bg_20241012192232A004.png',
  reviewed_icon: '/profile/upload/2024/10/13/reviewed_20241013142134A001.png',
  to_review_icon: '/profile/upload/2024/10/13/to_review_20241013142254A002.png',
  no_pass: '/profile/upload/2024/10/13/no_pass_20241013144713A003.svg',
};

export const CONTENT_TYPE = {
  news: 1,
  conference: 6,
  theme: 4,
  conferenceMaterials: 5,
};

export const MEETING_TYPE = {
  1: {
    name: '大会报名',
    value: '1',
  },
  2: {
    name: '会场调研',
    value: '2',
  },
  3: {
    name: '主题研讨',
    value: '3',
  },
  meeting: {
    name: '会议报名',
    value: '1',
  },
  theme: {
    name: '主题研讨',
    value: '3',
  },
  conference: {
    name: '会场调研',
    value: '2',
  },
};

export const USR_TYPE_LIST = [
  {
    value: '1',
    name: '大会代表',
  },
  {
    value: '2',
    name: '特邀代表',
  },
];

export const USR_TYPE = {
  1: {
    name: '大会代表',
    value: '1',
  },
  2: {
    name: '特邀代表',
    value: '2',
  },

};
export const FILE_ICON = {
  doc: '/profile/upload/2024/08/20/word_20240820110735A012.svg',
  docx: '/profile/upload/2024/08/20/word_20240820110735A012.svg',
  xls: '/profile/upload/2024/08/20/excel_20240820110613A006.svg',
  xlsx: '/profile/upload/2024/08/20/excel_20240820110613A006.svg',
  txt: '/profile/upload/2024/08/20/text_20240820110711A010.svg',
  text: '/profile/upload/2024/08/20/text_20240820110711A010.svg',
  ppt: '/profile/upload/2024/08/20/ppt_20240820110657A009.svg',
  pptx: '/profile/upload/2024/08/20/ppt_20240820110657A009.svg',
  pdf: '/profile/upload/2024/08/20/pdf_20240820110643A008.svg',
  png: '/profile/upload/2024/08/20/image_20240820110632A007.svg',
  mp4: '/profile/upload/2024/08/20/video_20240820110721A011.svg',
  defIcon: '/profile/upload/2024/08/17/file_icon_20240817121536A002.svg',
};
export const SYS_YES_NO = {
  '0': {
    name: '是',
    value: 0,
  },
  '1': {
    name: '否',
    value: 1,
  },
};
export const REVIEW_STATUS = {
  '0': {
    name: '审核通过',
    value: '0',
    tag: 'success',
    icon: ICON_CFG.reviewed_icon,
    tip: 32,
    color: '#34c878',
  },
  '1': {
    name: '审核不通过',
    value: '1',
    tag: 'error',
    icon: ICON_CFG.no_pass,
    tip: 33,
    color: 'red',
  },
  '2': {
    name: '待审核',
    value: '2',
    tag: 'warning',
    icon: ICON_CFG.to_review_icon,
    color: '#3d77e3',
  },
  'pass': {
    name: '审核通过',
    value: '0',
    tag: 'success',
    color: '#3d77e3',
  },
  'noPass': {
    name: '审核不通过',
    value: '1',
    tag: 'error',
    color: 'red',
  },
  'wait': {
    name: '待审核',
    value: '2',
    tag: 'warning',
    color: '#34c878',
  },
};

export const TFC_TYPE = {
  1: {
    name: '铁路',
    value: 1,
  },
  2: {
    name: '航空',
    value: 2,
  },
  3: {
    name: '自行前往',
    value: 3,
  },
};

export const TFC_INFO = {
  1: {
    name: '车次',
    value: 1,
  },
  2: {
    name: '航班号',
    value: 2,
  },
  3: {
    name: '高速公路出入口',
    value: 3,
  },
};

export const FORM_MOD = {
  add: 'add',
  modify: 'mod',
};
